<?php
	/*
	Plugin Name: SpamShiv Lite
	Plugin URI: http://www.think-press.com/plugins/spamshiv
	Description: Jackals build automated bots and spiders to crawl through the world wide web looking for vulnerable email addresses to add to their spam lists. Generally, the victims are unprotected "mailto" links. MailTo links are incredibly useful and often necessary to our sites. So how do you protect them from being harvested and siphons by ne'er-do-wells? Commonly the bots and spiders are looking for the two tell-tale signs of an email address - the "@" and the following "." The solution lies in finding ways to mask an email addresses from harvesters, siphons and phishers, while retaining the intended functionality of the "mailto" link. There are options like using HTML entities or using javascript, and this plugin will take care of that for you.
	Version: 1.0
	Author: Pixel Jar
	Author URI: http://www.pixeljar.net
	*/

	if (!class_exists('SpamShivLite')) {
		class SpamShivLite {
			
			///////////////////////////////// / / / / / / / / / / / / / /
			//
			// VARIABLE DEFINITIONS
			//
			///////////////////////////////// / / / / / / / / / / / / / /
			
			var $email_pattern = '/([^@<>"\':\s]+)@([-a-z0-9]+)\.+([a-z]{2,})/is';
			var $mailto_pattern = '/mailto:+([^@<>"\':\s]+)@([-a-z0-9]+)\.+([a-z]{2,})/is';
			
			// Constructor
			function SpamShivLite () {
				$this->init();
			}
			
			function init() {
				// Hook into WordPress
				add_action('wp_head', array(&$this, 'buffer_start'));
				add_action('wp_footer', array(&$this, 'buffer_end'));
			}
			
			///////////////////////////////// / / / / / / / / / / / / / /
			//
			// EMAIL CONVERSIONS
			//
			///////////////////////////////// / / / / / / / / / / / / / /
			
			function email_to_entities ($content="") {
				// create an empty array to catch email addresses
				$emails = array();
				
				// Catch all email addresses in the entire page
				preg_match_all($this->email_pattern, $content, $emails);
				
				// loop through the emails and replace them with super sneaky character entities
				for ($i = 0; $i < count($emails[0]); $i++) :
					$content = str_replace($emails[0][$i], antispambot($emails[0][$i]), $content);
				endfor;
				
				// return the cleaned content
				return $content;
			}
			
			///////////////////////////////// / / / / / / / / / / / / / /
			//
			// BUFFERING FUNCTIONS
			//
			///////////////////////////////// / / / / / / / / / / / / / /
			
			function buff_and_wax($buffer) {
				return $this->email_to_entities($buffer);
			}
			function buffer_start() { ob_start(array(&$this, 'buff_and_wax')); }
			function buffer_end() { ob_end_flush(); }

		}
		
		// Pull the string and let her rip!
		$ss &= new SpamShivLite();
	}
?>